Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.scheduler
Interface SingleScheduleProviderMBean

All Superinterfaces:
  AbstractScheduleProviderMBean, org.jboss.ha.jmx.HAServiceMBean, org.jboss.ha.singleton.HASingletonMBean, javax.management.NotificationBroadcaster, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  SingleScheduleProvider

public interface SingleScheduleProviderMBean
extends AbstractScheduleProviderMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getDateFormat()`
`long` | `getPeriod()`
`long` | `getRepetitions()`
`String` | `getStartDate()`
`String` | `getTargetMethod()`
`String` | `getTargetName()`
`void` | `setDateFormat(String dateFormat)` Sets the date format used to parse date/times
`void` | `setPeriod(long pPeriod)` Sets the Schedule Period between two scheduled call.
`void` | `setRepetitions(long pNumberOfCalls)` Sets the initial number of scheduled calls.
`void` | `setStartDate(String pStartDate)` Sets the first scheduled call.
`void` | `setTargetMethod(String pTargetMethod)` Sets the method name to be called on the Schedulable MBean.
`void` | `setTargetName(String pTargetObjectName)` Sets the fully qualified JMX MBean Object Name of the Schedulable MBean to be called.
`void` | `startProviding()` Add the Schedules to the Schedule Manager
`void` | `stopProviding()` Stops the Provider from providing and causing him to remove all Schedules

Methods inherited from interface org.jboss.varia.scheduler.AbstractScheduleProviderMBean
`getScheduleManagerName, isHASingleton, setHASingleton, setScheduleManagerName`

Methods inherited from interface org.jboss.ha.singleton.HASingletonMBean
`isMasterNode`

Methods inherited from interface org.jboss.ha.jmx.HAServiceMBean
`callMethodOnPartition, getDistributedState, getPartitionName, sendNotification, setDistributedState, setPartitionName`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### startProviding

    public void startProviding()
                        throws javax.management.JMException

  Description copied from interface: `AbstractScheduleProviderMBean`
  Add the Schedules to the Schedule Manager

  Specified by:
    `startProviding` in interface `AbstractScheduleProviderMBean`
  Throws:
    `javax.management.JMException`

### stopProviding

    public void stopProviding()

  Description copied from interface: `AbstractScheduleProviderMBean`
  Stops the Provider from providing and causing him to remove all Schedules

  Specified by:
    `stopProviding` in interface `AbstractScheduleProviderMBean`

### getTargetName

    public String getTargetName()

### setTargetName

    public void setTargetName(String pTargetObjectName)
                       throws InvalidParameterException

  Sets the fully qualified JMX MBean Object Name of the Schedulable MBean to be called.

  Parameters:
    `pTargetObjectName` - JMX MBean Object Name which should be called.
  Throws:
    `InvalidParameterException` - If the given value is an valid Object Name.

### getTargetMethod

    public String getTargetMethod()

### setTargetMethod

    public void setTargetMethod(String pTargetMethod)
                         throws InvalidParameterException

  Sets the method name to be called on the Schedulable MBean. It can optionally be followed by an opening bracket, list of attributes (see below) and a closing bracket. The list of attributes can contain:
  - NOTIFICATION which will be replaced by the timers notification instance (javax.management.Notification)
  - DATE which will be replaced by the date of the notification call (java.util.Date)
  - REPETITIONS which will be replaced by the number of remaining repetitions (long)
  - SCHEDULER_NAME which will be replaced by the Object Name of the Scheduler (javax.management.ObjectName)
  - any full qualified Class name which the Scheduler will be set a "null" value for it
  An example could be: "doSomething( NOTIFICATION, REPETITIONS, java.lang.String )" where the Scheduler will pass the timer's notification instance, the remaining repetitions as int and a null to the MBean's doSomething() method which must have the following signature: doSomething( javax.management.Notification, long, java.lang.String ).

  Parameters:
    `pTargetMethod` - Name of the method to be called optional followed by method arguments (see above).
  Throws:
    `InvalidParameterException` - If the given value is not of the right format

### getPeriod

    public long getPeriod()

### setPeriod

    public void setPeriod(long pPeriod)

  Sets the Schedule Period between two scheduled call.

  Parameters:
    `pPeriod` - Time between to scheduled calls (after the initial call) in Milliseconds. This value must be bigger than 0.
  Throws:
    `InvalidParameterException` - If the given value is less or equal than 0

### getDateFormat

    public String getDateFormat()

### setDateFormat

    public void setDateFormat(String dateFormat)

  Sets the date format used to parse date/times

  Parameters:
    `dateFormat` - The date format when empty or null the locale is used to parse dates

### getStartDate

    public String getStartDate()

### setStartDate

    public void setStartDate(String pStartDate)

  Sets the first scheduled call. If the date is in the past the scheduler tries to find the next available start date.

  Parameters:
    `pStartDate` - Date when the initial call is scheduled. It can be either:
    - NOW: date will be the current date (new Date()) plus 1 seconds
    - Date as String able to be parsed by SimpleDateFormat with default format
    - Date as String parsed using the date format attribute
    - Milliseconds since 1/1/1970
    If the date is in the past the Scheduler will search a start date in the future with respect to the initial repe- titions and the period between calls. This means that when you restart the MBean (restarting JBoss etc.) it will start at the next scheduled time. When no start date is available in the future the Scheduler will not start.
    Example: if you start your Schedulable everyday at Noon and you restart your JBoss server then it will start at the next Noon (the same if started before Noon or the next day if start after Noon).

### getRepetitions

    public long getRepetitions()

### setRepetitions

    public void setRepetitions(long pNumberOfCalls)

  Sets the initial number of scheduled calls.

  Parameters:
    `pNumberOfCalls` - Initial Number of scheduled calls. If -1 then the number is unlimted.
  Throws:
    `InvalidParameterException` - If the given value is less or equal than 0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.